summaryrefslogtreecommitdiff
path: root/dev-python/expression/expression-5.6.0.ebuild
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-07-13 03:04:35 -0500
committerroot <root@alpha.trunkmasters.com>2026-07-13 03:04:35 -0500
commitd6c616f80bd44aa3323ca5211338d251e1215938 (patch)
tree9597c13f86588aca7eeb854a486440bdcace1c30 /dev-python/expression/expression-5.6.0.ebuild
parent40d2213d241ba50dbaf9b311a92a93e480fbd474 (diff)
downloadbaldeagleos-repo-d6c616f80bd44aa3323ca5211338d251e1215938.tar.gz
baldeagleos-repo-d6c616f80bd44aa3323ca5211338d251e1215938.tar.xz
baldeagleos-repo-d6c616f80bd44aa3323ca5211338d251e1215938.zip
Adding metadata
Diffstat (limited to 'dev-python/expression/expression-5.6.0.ebuild')
-rw-r--r--dev-python/expression/expression-5.6.0.ebuild62
1 files changed, 62 insertions, 0 deletions
diff --git a/dev-python/expression/expression-5.6.0.ebuild b/dev-python/expression/expression-5.6.0.ebuild
new file mode 100644
index 000000000000..38a5096484ce
--- /dev/null
+++ b/dev-python/expression/expression-5.6.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 optfeature
+
+MY_PN="Expression"
+MY_P="${MY_PN}-${PV}"
+DESCRIPTION="Practical functional programming for Python 3.10+"
+HOMEPAGE="
+ https://github.com/dbrattli/Expression
+ https://pypi.org/project/expression/
+"
+SRC_URI="https://github.com/dbrattli/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+RDEPEND="
+ >=dev-python/typing-extensions-4.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ $(python_gen_cond_dep '
+ >=dev-python/pydantic-2.6.2[${PYTHON_USEDEP}]
+ ' python3_{12..14})
+ )
+"
+
+EPYTEST_PLUGINS=( hypothesis pytest-asyncio )
+distutils_enable_tests pytest
+
+src_prepare() {
+ default
+
+ sed '/^version = /s/"0.0.0"/"'${PV}'"/' -i pyproject.toml || die
+}
+
+python_test() {
+ local EPYTEST_IGNORE=()
+
+ if ! has_version "dev-python/pydantic[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ # pydantic
+ tests/test_block.py
+ tests/test_option.py
+ tests/test_result.py
+ )
+ fi
+
+ epytest
+}
+
+pkg_setup() {
+ optfeature "Pydantic support" ">=dev-python/pydantic-2.6.2"
+}